Les extensions extérieures à AMO comme les barres d’outils livrées avec des logiciels tiers ou les modules ajoutés par les anti-virus, les logiciels de téléphonie, les gestionnaires de téléchargements extérieurs, les lecteurs multimédias en plus des plugins, etc. posent souvent problème puisqu’ils ne suivent pas le programme de tests automatiques de compatibilité mis en place par AMO et que leur mise à jour est souvent liée à l’installation d’une nouvelle version du logiciel tiers.

Quoiqu’il en soit, la fiche d’AMO est claire. L’Add-on Compatibility Reporter est destiné aux bêta-testeurs (et maintenant en plus aux testeurs sur le canal Aurora). Il n’est pas fait pour être utilisé avec la version stable de Firefox (actuellement en version 5) pour surclasser le test de compatibilité des extensions lors du passage à une nouvelle version du navigateur. Ce test de compatibilité a ses raisons. Une extension incompatible peut provoquer de gros dégâts et des inconvénients importants (qui seront sans doute mis sur le dos du navigateur). Si les pertes de données sont rares, les plantages, blocages et ralentissements sont forts à craindre.

Alors réfléchissez à deux fois avant de rétablir une extension. AMO a peut-être déjà ce que vous voulez et toujours mis à jour à temps par son développeur.

Je vous ai fait une traduction rapide des instructions et avertissements d’usage de l’Add-on Compatibility Reporter :

Aidez Mozilla à s’assurer que vos modules favoris sont mis à jour pour les versions à venir de Firefox en utilisant cette extension pour rapporter s’ils fonctionnent encore ou ont quelques problèmes avec les versions alpha et bêta. Remarque : Recommandé pour les alpha et bêta utilisateurs seulement !

Après l’installation de l’Add-on Compatibility Reporter, vos extensions incompatibles seront activées pour vous permettre de tester si elles fonctionnent toujours avec la version de Firefox ou Thunderbird que vous utilisez. Si vous remarquez que l’un de vos modules complémentaires ne semble pas fonctionner de la même manière que dans les versions précédentes de l’application, il suffit d’ouvrir le gestionnaire de modules complémentaires et de cliquer sur Compatibility à côté de ce module pour envoyer un rapport à Mozilla.

Même si vos modules tous fonctionnent très bien, s’ils sont marqués incompatibles, veuillez nous faire savoir qu’ils fonctionnent très bien en soumettant un rapport de succès afin que nous puissions encourager le développeur du modules à mettre à jour ses informations de compatibilité.

Nous allons rassembler tous les rapports et laissez les développeurs de modules savoir que les utilisateurs ont des problèmes avec ceux-ci ou si leurs modules semblent très bien fonctionner dans les versions à venir du produit.

Si vous rencontrez des problèmes et que vous voulez désactiver à nouveau votre modules incompatibles, la désinstallation de l’Add-on Compatibility Reporter devrait vous faire revenir à vos paramètres précédents de vérification de compatibilité.

Si vous êtes un développeur de module essayant de trouver les rapports soumis pour votre extension, rendez-vous au Report Viewer ici : https://addons.mozilla.org/compatibility/reporter.

Sources et références